@import '_content/Blazor.Bootstrap/Blazor.Bootstrap.bundle.scp.css';

/* _content/BlazorWebAppAuthentication/Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-6vcsqaeoca] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-6vcsqaeoca] {
    flex: 1;
}

.sidebar[b-6vcsqaeoca] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-6vcsqaeoca] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-6vcsqaeoca]  a, .top-row[b-6vcsqaeoca]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-6vcsqaeoca]  a:hover, .top-row[b-6vcsqaeoca]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-6vcsqaeoca]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-6vcsqaeoca] {
        justify-content: space-between;
    }

    .top-row[b-6vcsqaeoca]  a, .top-row[b-6vcsqaeoca]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-6vcsqaeoca] {
        flex-direction: row;
    }

    .sidebar[b-6vcsqaeoca] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-6vcsqaeoca] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-6vcsqaeoca]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-6vcsqaeoca], article[b-6vcsqaeoca] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-6vcsqaeoca] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-6vcsqaeoca] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* _content/BlazorWebAppAuthentication/Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-t5hluxn7vv] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: white;
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}

.navbar-toggler:checked[b-t5hluxn7vv] {
    background-color: rgba(255, 255, 255, 0.5);
}

.top-row[b-t5hluxn7vv] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-t5hluxn7vv] {
    font-size: 1.1rem;
}

.bi[b-t5hluxn7vv] {
    display: inline-block;
    position: relative;
    width: 22px;
    height: 22px;
    margin-right: 0.85rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-t5hluxn7vv] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-t5hluxn7vv] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}
.bi-list-nested-nav-menu[b-t5hluxn7vv] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}
.bi-clipboard2-check-fill-nav-menu[b-t5hluxn7vv] {
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="white" class="bi bi-clipboard2-check-fill" viewBox="0 0 16 16"><path d="M10 .5a.5.5 0 0 0-.5-.5h-3a.5.5 0 0 0-.5.5.5.5 0 0 1-.5.5.5.5 0 0 0-.5.5V2a.5.5 0 0 0 .5.5h5A.5.5 0 0 0 11 2v-.5a.5.5 0 0 0-.5-.5.5.5 0 0 1-.5-.5"/><path d="M4.085 1H3.5A1.5 1.5 0 0 0 2 2.5v12A1.5 1.5 0 0 0 3.5 16h9a1.5 1.5 0 0 0 1.5-1.5v-12A1.5 1.5 0 0 0 12.5 1h-.585q.084.236.085.5V2a1.5 1.5 0 0 1-1.5 1.5h-5A1.5 1.5 0 0 1 4 2v-.5q.001-.264.085-.5m6.769 6.854-3 3a.5.5 0 0 1-.708 0l-1.5-1.5a.5.5 0 1 1 .708-.708L7.5 9.793l2.646-2.647a.5.5 0 0 1 .708.708"/></svg>')
}
.bi-person-badge-fill-nav-menu[b-t5hluxn7vv] {
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="white" class="bi bi-person-badge-fill" viewBox="0 0 16 16"><path d="M2 2a2 2 0 0 1 2-2h8a2 2 0 0 1 2 2v12a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2zm4.5 0a.5.5 0 0 0 0 1h3a.5.5 0 0 0 0-1zM8 11a3 3 0 1 0 0-6 3 3 0 0 0 0 6m5 2.755C12.146 12.825 10.623 12 8 12s-4.146.826-5 1.755V14a1 1 0 0 0 1 1h8a1 1 0 0 0 1-1z"/></svg>')
}
/*white mouth icon - IT IS USED  in nav menu*/
.fa-teeth-nav-menu[b-t5hluxn7vv] {
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 512" fill="white"><!--!Font Awesome Free 6.6.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path d="M544 0H96C43 0 0 43 0 96v320c0 53 43 96 96 96h448c53 0 96-43 96-96V96c0-53-43-96-96-96zM160 368c0 26.5-21.5 48-48 48s-48-21.5-48-48v-64c0-8.8 7.2-16 16-16h64c8.8 0 16 7.2 16 16v64zm0-128c0 8.8-7.2 16-16 16H80c-8.8 0-16-7.2-16-16v-64c0-26.5 21.5-48 48-48s48 21.5 48 48v64zm144 120c0 30.9-25.1 56-56 56s-56-25.1-56-56v-56c0-8.8 7.2-16 16-16h80c8.8 0 16 7.2 16 16v56zm0-120c0 8.8-7.2 16-16 16h-80c-8.8 0-16-7.2-16-16v-88c0-30.9 25.1-56 56-56s56 25.1 56 56v88zm144 120c0 30.9-25.1 56-56 56s-56-25.1-56-56v-56c0-8.8 7.2-16 16-16h80c8.8 0 16 7.2 16 16v56zm0-120c0 8.8-7.2 16-16 16h-80c-8.8 0-16-7.2-16-16v-88c0-30.9 25.1-56 56-56s56 25.1 56 56v88zm128 128c0 26.5-21.5 48-48 48s-48-21.5-48-48v-64c0-8.8 7.2-16 16-16h64c8.8 0 16 7.2 16 16v64zm0-128c0 8.8-7.2 16-16 16h-64c-8.8 0-16-7.2-16-16v-64c0-26.5 21.5-48 48-48s48 21.5 48 48v64z"/></svg>')
}
/*white tooth icon - It is not used (<span class="bi fi-rr-tooth" aria-hidden="true"></span>) */
.fi-rr-tooth[b-t5hluxn7vv] {
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" id="Layer_1" data-name="Layer 1" fill="white" viewBox="0 0 24 24" width="512" height="512"><path d="M15.909,24A2.912,2.912,0,0,1,13,21.091V15a1,1,0,0,0-2,0v6.091a2.91,2.91,0,0,1-5.418,1.476C3.186,18.463,0,12.279,0,6A5.785,5.785,0,0,1,6,0,12.8,12.8,0,0,1,9.915.615,7.037,7.037,0,0,0,12,1,7.037,7.037,0,0,0,14.085.615,12.792,12.792,0,0,1,18,0a5.785,5.785,0,0,1,6,6c0,6.278-3.186,12.462-5.582,16.567A2.911,2.911,0,0,1,15.909,24ZM12,12a3,3,0,0,1,3,3v6.091a.911.911,0,0,0,1.691.469C18.97,17.654,22,11.793,22,6a3.85,3.85,0,0,0-4-4,10.752,10.752,0,0,0-3.358.536A8.959,8.959,0,0,1,12,3a8.953,8.953,0,0,1-2.642-.464A10.758,10.758,0,0,0,6,2C2.045,2,2,5.837,2,6c0,5.794,3.03,11.655,5.31,15.56A.91.91,0,0,0,9,21.091V15A3,3,0,0,1,12,12Z"/></svg>')
}

.bi-clipboard-check-fill-nav-menu[b-t5hluxn7vv] {
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="white" class="bi bi-clipboard-check-fill" viewBox="0 0 16 16"><path d="M6.5 0A1.5 1.5 0 0 0 5 1.5v1A1.5 1.5 0 0 0 6.5 4h3A1.5 1.5 0 0 0 11 2.5v-1A1.5 1.5 0 0 0 9.5 0zm3 1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-3a.5.5 0 0 1-.5-.5v-1a.5.5 0 0 1 .5-.5z"/><path d="M4 1.5H3a2 2 0 0 0-2 2V14a2 2 0 0 0 2 2h10a2 2 0 0 0 2-2V3.5a2 2 0 0 0-2-2h-1v1A2.5 2.5 0 0 1 9.5 5h-3A2.5 2.5 0 0 1 4 2.5zm6.854 7.354-3 3a.5.5 0 0 1-.708 0l-1.5-1.5a.5.5 0 0 1 .708-.708L7.5 10.793l2.646-2.647a.5.5 0 0 1 .708.708"/></svg>')
}
.bi-stack-nav-menu[b-t5hluxn7vv] {
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="white" class="bi bi-stack" viewBox="0 0 16 16"><path d="m14.12 10.163 1.715.858c.22.11.22.424 0 .534L8.267 15.34a.6.6 0 0 1-.534 0L.165 11.555a.299.299 0 0 1 0-.534l1.716-.858 5.317 2.659c.505.252 1.1.252 1.604 0l5.317-2.66zM7.733.063a.6.6 0 0 1 .534 0l7.568 3.784a.3.3 0 0 1 0 .535L8.267 8.165a.6.6 0 0 1-.534 0L.165 4.382a.299.299 0 0 1 0-.535z"/><path d="m14.12 6.576 1.715.858c.22.11.22.424 0 .534l-7.568 3.784a.6.6 0 0 1-.534 0L.165 7.968a.299.299 0 0 1 0-.534l1.716-.858 5.317 2.659c.505.252 1.1.252 1.604 0z"/></svg>')
}
.nav-item[b-t5hluxn7vv] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-t5hluxn7vv] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-t5hluxn7vv] {
        padding-bottom: 1rem;
    }

    .nav-item[b-t5hluxn7vv]  .nav-link {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

.nav-item[b-t5hluxn7vv]  a.active {
    background-color: rgba(255,255,255,0.37);
    color: white;
}

.nav-item[b-t5hluxn7vv]  .nav-link:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

.nav-scrollable[b-t5hluxn7vv] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-t5hluxn7vv] {
    display: block;
}

@media (min-width: 641px) {
    .navbar-toggler[b-t5hluxn7vv] {
        display: none;
    }

    .nav-scrollable[b-t5hluxn7vv] {
        /* Never collapse the sidebar for wide screens */
        display: block;

        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
